<?php
/**
 * Vaccination Center: Block Patterns
 *
 * @since Vaccination Center 1.0
 */

function vaccination_center_register_block_patterns() {

	$patterns = array();

	$block_pattern_categories = array(
		'vaccination-center' => array( 'label' => __( 'Vaccination Center', 'vaccination-center' ) )
	);
	$block_pattern_categories = apply_filters( 'vaccination_center_block_pattern_categories', $block_pattern_categories );

	foreach ( $block_pattern_categories as $name => $properties ) {
		if ( ! WP_Block_Pattern_Categories_Registry::get_instance()->is_registered( $name ) ) {
			register_block_pattern_category( $name, $properties );
		}
	}
}
add_action( 'init', 'vaccination_center_register_block_patterns', 9 );